body
{
    margin: 0;
    padding: 0;
}
a{
    margin: 0;
    padding: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    font-size: 24px;
    text-transform: uppercase;
    text-decoration: none !important;
    font-family: Arial, Helvetica, sans-serif;
    background: #fff !important;
    border: 2px solid #262626;
    padding: 20px;
    overflow: hidden;
}
a::before{
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: #ff003b;
    transition: .5s ease-in-out;
}
a:hover:before{
    left: 0;
    z-index: -1;
}
span{
    color: #262626;
    transition: .5s ease-in-out;
    z-index: 1;
}
a:hover span{
    color:#fff;
}